<?xml version="1.0" encoding="utf-8"?> 
<COLLADA profile="HydraProfile"> 

  <library_materials>

     <material name= "floor_mat">
      <hydra> 

        <diffuse> 
          <color> 0.25 0.25 0.2  </color> 
          <texture> ../../../wood.jpg </texture>
        </diffuse>  

        <specular>
          <brfd_type> phong </brfd_type>
           <color> 0.5 0.5 0.5  </color>
           <texture> ../../../wood.jpg </texture>
          <cos_power> 500 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> phong </brfd_type>
           <color> 0.5 0.5 0.5  </color>
           <texture> ../../../wood.jpg </texture>
          <cos_power> 500 </cos_power>  
        </reflectivity>

      </hydra> 
    </material> 

   <material name= "box_material">
      <hydra> 

        <diffuse> 
          <color> 0.5 0.5 0.5  </color> 
          <texture> ../../../wood2.jpg </texture>
        </diffuse>  

         <specular>
          <brfd_type> phong </brfd_type>
          <color>0.5 0.5 0.5 </color>
          <texture> ../../../wood2.jpg </texture>
          <cos_power> 100 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> phong </brfd_type>
           <color> 0.5 0.5 0.5  </color>
           <texture> ../../../wood2.jpg </texture>
          <cos_power> 100 </cos_power>  
        </reflectivity>


      </hydra> 
    </material> 

     <material name= "big_gem_color">
      <hydra> 

        <diffuse> 
          <color> 0.0 0.0 0.0  </color> 
        </diffuse>  

        <specular>
          <brfd_type> phong </brfd_type>
          <color>0.388235 0.529412 0.192157 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> fresnel_dielectric </brfd_type>
          <fresnel_IOR> 1.5 </fresnel_IOR>
          <color> 0.776 1.0 0.4  </color> 
        </reflectivity>

        <transparency> 
          <color> 0.776 1.0 0.4 </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.5 </IOR> 
          <fog_color> 0.776 1.0 0.4 </fog_color> 
          <fog_multiplyer> 0.05 </fog_multiplyer> 
          <exit_color> 0.0776 0.1 0.04  </exit_color> 
        </transparency>

      </hydra> 
    </material> 

     <material name= "gem_blue">
      <hydra> 

        <diffuse> 
          <color> 0.0 0.0 0.0  </color> 
        </diffuse>  

         <specular>
          <brfd_type> phong </brfd_type>
          <color> 0.2 0.2 0.2 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> fresnel_dielectric </brfd_type>
          <fresnel_IOR> 1.4 </fresnel_IOR>
          <color> 0.6 0.6 0.6  </color> 
        </reflectivity>

        <transparency> 
          <color> 0.9 0.9 0.9 </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.4 </IOR> 
          <fog_color> 0.9 0.9 0.9 </fog_color> 
          <fog_multiplyer> 0.01 </fog_multiplyer> 
          <exit_color> 0.1 0.1 0.1  </exit_color> 
        </transparency>

      </hydra> 
    </material> 

    <material name= "gem_brown">
      <hydra> 

         <diffuse> 
          <color> 0.0 0.0 0.0  </color> 
        </diffuse>  

         <specular>
          <brfd_type> phong </brfd_type>
          <color> 0.654902 0.356863 0.192157 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> fresnel_dielectric </brfd_type>
          <fresnel_IOR> 1.25 </fresnel_IOR>
          <color> 1.0 0.7 0.4  </color> 
        </reflectivity>

        <transparency> 
          <color> 1.0 0.7 0.4  </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.25 </IOR> 
          <fog_color> 1.0 0.7 0.4  </fog_color> 
          <fog_multiplyer> 0.01 </fog_multiplyer> 
          <exit_color> 0.1 0.07 0.04   </exit_color> 
        </transparency>

      </hydra> 
    </material> 

    <material name= "gem_green">
      <hydra> 

        <diffuse> 
          <color> 0 0 0 </color> 
        </diffuse>  

         <specular>
          <brfd_type> phong </brfd_type>
          <color> 0.2 0.552941 0.176471 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> phong </brfd_type>
          <fresnel_IOR> 1.25 </fresnel_IOR>
          <color> 0.2 0.45 0.17  </color> 
        </reflectivity>

        <transparency> 
          <color> 0.4 1.0 0.35  </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.25 </IOR> 
          <fog_color> 0.4 1.0 0.35  </fog_color> 
          <fog_multiplyer> 0.1 </fog_multiplyer> 
          <exit_color> 0.04 0.1 0.035   </exit_color> 
        </transparency>


      </hydra> 
    </material> 

    <material name= "gem_green_blue">
      <hydra> 

        <diffuse> 
          <color> 0 0 0  </color> 
        </diffuse>  

         <specular>
          <brfd_type> phong </brfd_type>
          <color> 0.105882 0.670588 0.65098 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> phong </brfd_type>
          <fresnel_IOR> 1.25 </fresnel_IOR>
          <color> 0.105882 0.670588 0.65098   </color> 
        </reflectivity>

      </hydra> 
    </material> 

    <material name= "gem_red_blue">
      <hydra> 

        <diffuse> 
          <color> 0 0 0 </color> 
        </diffuse>  

         <specular>
          <brfd_type> phong </brfd_type>
          <color>  0.545098 0.192157 0.517647 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> fresnel_dielectric </brfd_type>
          <fresnel_IOR> 1.2 </fresnel_IOR>
          <color> 1.0 0.4 1.0 </color> 
        </reflectivity>

        <transparency> 
          <color> 1.0 0.4 1.0 </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.2 </IOR> 
          <fog_color> 1.0 0.4 1.0 </fog_color> 
          <fog_multiplyer> 0.01 </fog_multiplyer> 
          <exit_color> 0.1 0.04 0.01  </exit_color> 
        </transparency>  

      </hydra> 
    </material> 

    <material name= "gem_red_blue2">
      <hydra> 

        <diffuse> 
          <color> 0.0 0.0 0.0  </color> 
        </diffuse>  

        <specular>
          <brfd_type> phong </brfd_type>
          <color>  0.445098 0.192157 0.517647 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> fresnel_dielectric </brfd_type>
          <fresnel_IOR> 1.2 </fresnel_IOR>
          <color> 0.8 0.4 1.0 </color> 
        </reflectivity>

        <transparency> 
          <color> 0.8 0.4 1.0 </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.2 </IOR> 
          <fog_color> 1.0 0.4 1.0 </fog_color> 
          <fog_multiplyer> 0.01 </fog_multiplyer> 
          <exit_color> 0.0 0.04 0.1  </exit_color> 
        </transparency>  

      </hydra> 
    </material> 

    <material name= "gem_yellow">
      <hydra> 

        <diffuse> 
          <color> 0 0 0 </color> 
        </diffuse>  

         <specular>
          <brfd_type> phong </brfd_type>
          <color>  0.639216 0.54902 0.192157 </color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> fresnel_dielectric </brfd_type>
          <fresnel_IOR> 1.45 </fresnel_IOR>
          <color> 1.0 1.0 0.01 </color> 
        </reflectivity>

        <transparency> 
          <color> 1.0 1.0 0.4 </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.2 </IOR> 
          <fog_color> 1.0 1.0 0.4 </fog_color> 
          <fog_multiplyer> 0.05 </fog_multiplyer> 
          <exit_color> 0.1 0.1 0.01  </exit_color> 
        </transparency>  

      </hydra> 
    </material> 

    <material name= "gen_red1">
      <hydra> 

        <diffuse> 
          <color> 0 0 0 </color> 
        </diffuse>

         <specular>
          <brfd_type> phong </brfd_type>
          <color> 0.87451 0.592157 0.192157</color>
          <cos_power> 1e+006 </cos_power>
        </specular>
         
        <reflectivity>
          <brfd_type> fresnel_dielectric </brfd_type>
          <fresnel_IOR> 1.2 </fresnel_IOR>
          <color> 0.87451 0.592157 0.192157 </color> 
        </reflectivity>

        <transparency> 
          <color>  0.87451 0.592157 0.192157 </color> 
          <thin_surface> 0 </thin_surface>
          <cos_power> 1e+006 </cos_power> 
          <IOR> 1.2 </IOR> 
          <fog_color> 0.87451 0.592157 0.192157 </fog_color> 
          <fog_multiplyer> 0.01 </fog_multiplyer> 
          <exit_color> 0.087451 0.0192157 0.0192157  </exit_color> 
        </transparency>  

      </hydra> 
    </material> 

  </library_materials>

  <library_lights>

  </library_lights>

  <library_cameras>
  </library_cameras>

  <library_geometry>
  </library_geometry>

</COLLADA>
